SHOGUN(5)

NAME
shogun - A Large Scale Machine Learning Toolbox

SYNOPSIS
shogun [options]

DESCRIPTION
This manual page briefly documents the readline interface of shogun

Shogun is a large scale machine learning toolbox with focus on large scale kernel methods and especially on Support Vector Machines (SVM) with focus to bioinformatics. It provides a generic SVM object interfacing to several different SVM implementations. Each of the SVMs can be combined with a variety of the many kernels implemented. It can deal with weighted linear combination of a number of sub-kernels, each of which not necessarily working on the same domain, where an optimal sub-kernel weighting can be learned using Multiple Kernel Learning. Apart from SVM 2-class classification and regression problems, a number of linear methods like Linear Discriminant Analysis (LDA), Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to train hidden markov models are implemented. The input feature-objects can be dense, sparse or strings and of type int/short/double/char and can be converted into different feature types. Chains of preprocessors (e.g. substracting the mean) can be attached to each feature object allowing for on-the-fly pre-processing.

OPTIONS
A summary of options is included below.

-h, --help, /?
    Show summary of options.

-i  listen on tcp port 7367 (hex of sg)

filename
    execute a script by reading commands from file <filename>

when no options are given the interactive readline interface will be entered

SEE ALSO
svm-train(1),
    svm-predict(1). svm-scale(1).

AUTHOR
shogun was written by Soeren Sonnenburg <Soeren.Sonnenburg@first.fraunhofer.de>
    and Gunnar Raetsch <Gunnar.Raetsch@tuebingen.mpg.de>

This manual page was written by Soeren Sonnenburg <sonne@debian.org>, for the Debian project (but may be used by others).